Name:		qt-avif-image-plugin
Version:	0.9.3
Release:	%mkrel 1
Summary:	Qt plugin for handling AVIF images
License:	BSD-2-Clause
Group:		Graphical desktop/KDE
URL:		https://github.com/novomesk/qt-avif-image-plugin
Source0:	https://github.com/novomesk/qt-avif-image-plugin/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	cmake(ECM)
BuildRequires:	pkgconfig(libavif)
### Qt5 build dependencies
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
### Qt6 build dependencies
BuildRequires:	cmake(Qt6)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)

%description
Qt plug-in to allow Qt and KDE based applications to
read/write AVIF images.

#----------------------------------------------------------------------------
### Qt5

%package -n	qt5-avif-image-plugin
Summary:	Qt AVIF plugin for Qt 5.x
Group:		Graphical desktop/KDE

%description -n	qt5-avif-image-plugin
Qt plug-in to allow Qt and KDE based applications to
read/write AVIF images for Qt 5.x.

%files -n qt5-avif-image-plugin
%doc README.md
%license LICENSE
%{_qt5_plugindir}/imageformats/libqavif5.so

#----------------------------------------------------------------------------
### Qt6

%package -n	qt6-avif-image-plugin
Summary:	Qt AVIF plugin for Qt 6.x
Group:		Graphical desktop/KDE

%description -n	qt6-avif-image-plugin
Qt plug-in to allow Qt and KDE based applications to
read/write AVIF images for Qt 6.x.

%files -n qt6-avif-image-plugin
%doc README.md
%license LICENSE
%{_qt6_plugindir}/imageformats/libqavif6.so

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%define _vpath_builddir build-qt5
%cmake_qt5
%cmake_build

%define _vpath_builddir build-qt6
%cmake_qt6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%define _vpath_builddir build-qt5
%cmake_install

%define _vpath_builddir build-qt6
%cmake_install


%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 0.9.3-1.mga10
+ Revision: 2193985
- new version: 0.9.3

* Sat Feb 08 2025 daviddavid <daviddavid> 0.8.7-1.mga10
+ Revision: 2146072
- new version: 0.8.7

* Tue Mar 12 2024 daviddavid <daviddavid> 0.8.1-1.mga10
+ Revision: 2049327
- new version: 0.8.1

* Wed Dec 20 2023 daviddavid <daviddavid> 0.7.1-1.mga10
+ Revision: 2019970
- initial package qt-avif-image-plugin

